Page MenuHomePhabricator

evaluate stabilization potential of efl.ui classes and dependencies
Open, TODOPublic

Description

This is a tracking ticket.

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
ResolvedNone
ResolvedNone
OpenCHAN
ResolvedCHAN
ResolvedNone
ResolvedNone
Resolvedcedric
Resolvedsegfaultxavi
ResolvedNone
ResolvedNone
ResolvedCHAN
Resolvedzmike
Resolvedzmike
Resolvedzmike
Resolvedzmike
ResolvedNone
OpenNone
Resolvedzmike
ResolvedNone
ResolvedNone
ResolvedNone
Resolvedbu5hm4n
ResolvedNone
ResolvedNone
DuplicateNone
OpenNone
OpenNone
OpenNone
OpenNone
Resolvedzmike
OpenNone
OpenNone
zmike created this task.Dec 19 2018, 11:17 AM
zmike triaged this task as TODO priority.
zmike added a comment.Jan 8 2019, 11:58 AM

P256 and P257 are full outputs of the hierarchies for efl.ui.win and efl.ui.layout. Tickets now exist for every type in both hierarchies, and I have attempted to create the tickets to match the object hierarchy.

zmike added a comment.Jan 9 2019, 6:00 AM

I've updated P258 to also output protected and beta status.

If stabilized, each task/api should result in a patch which moves the header inclusion in Efl.h to outside the beta ifdef block.

zmike closed subtask T7596: efl.app as Resolved.Mar 11 2019, 10:46 AM
zmike closed subtask T7511: efl.ui.win as Resolved.
segfaultxavi added a comment.EditedMay 7 2019, 4:14 AM

Given this list of proposed widgets to stabilize during the next iteration: P292

This is the list of BETA types which would need to be stabilized too because they either appear in their inheritance hierarchy or they are used as parameters, return values or event infos: P293
Each type is prefixed by how many times it is used (i.e. how many widgets use it). There are 128 types.

This is the hierarchical view: P294
Stable classes are removed so the hierarchy is a bit hard to read.

This is the script used to obtain the above info: P295
Remove the commented lines to get the hierarchical view. As it is now, it dumps a plain list of types which can be processed with sort and uniq.

zmike added a comment.May 14 2019, 6:11 AM

I've flattened and de-duplicated the list P297

zmike added a comment.May 14 2019, 6:58 AM

minus some stuff P298

Diffusion closed subtask T7859: efl.ui.box as Resolved.
Diffusion closed subtask T7846: efl.ui.button as Resolved.
bu5hm4n removed a subtask: T7904: efl.ui.grid_item.
bu5hm4n closed subtask T7906: efl.ui.list_item as Invalid.
bu5hm4n removed a subtask: T7906: efl.ui.list_item.
bu5hm4n added a subtask: T7905: efl.ui.item.
Diffusion closed subtask T8024: efl.ui.radio_group as Resolved.
Diffusion closed subtask T7905: efl.ui.item as Resolved.
Diffusion closed subtask T7902: efl.ui.popup as Resolved.
Diffusion closed subtask T7901: efl.ui.timepicker as Resolved.
Diffusion closed subtask T7897: efl.ui.spin as Resolved.
Diffusion closed subtask T7893: efl.ui.slider as Resolved.
Diffusion closed subtask T7891: efl.ui.scroller as Resolved.
Diffusion closed subtask T7880: efl.ui.bg as Resolved.
Diffusion closed subtask T7873: efl.ui.image as Resolved.
Diffusion closed subtask T7869: efl.ui.datepicker as Resolved.
Diffusion closed subtask T7867: efl.ui.radio as Resolved.
Diffusion closed subtask T7865: efl.ui.check as Resolved.
zmike closed subtask T7951: Efl.Ui.Text_Alert_Popup as Resolved.
zmike closed subtask T7952: Efl.Ui.Scroll_Alert_Popup as Resolved.
zmike closed subtask T7948: Efl.Ui.Alert_Popup as Resolved.
zmike closed subtask T8026: efl.ui.radio_box as Resolved.